Desktop productivity for business analysts and programmers

Error Message: XmlNode: ActionOnError is not a valid XML node for this version of Enterprise Guide

Accepted Solution Solved
Reply
Occasional Contributor
Posts: 11
Accepted Solution

Error Message: XmlNode: ActionOnError is not a valid XML node for this version of Enterprise Guide

A co-worker receives the error message "XmlNode: ActionOnError is not a valid XML node for this version of Enterprise Guide" when they open up a SAS EG project I have made. It is still opening the project and it does not appear to be causing any issues, but I wanted to double check if anyone else has experienced this issue and if there is a fix for it. Thank you.


Accepted Solutions
Solution
‎11-30-2017 10:50 AM
SAS Super FREQ
Posts: 401

Re: Error Message: XmlNode: ActionOnError is not a valid XML node for this version of Enterprise Gui

Posted in reply to jessica_hale

It sounds like you and your co-worker are using different EG 7.x versions.  ActionOnError refers to a feature that was added in EG 7.13, so I suspect you are using EG 7.13 or later and your co-worker is using 7.12, 7.11, or 7.1.  It should be ok to ignore the error.  However, if you regularly share projects, it is a good idea to be running the same version of EG.  So, I suggest checking your EG versions (in Help->About) and upgrade whichever is behind, so you are both running the same version.

 

Casey

View solution in original post


All Replies
Solution
‎11-30-2017 10:50 AM
SAS Super FREQ
Posts: 401

Re: Error Message: XmlNode: ActionOnError is not a valid XML node for this version of Enterprise Gui

Posted in reply to jessica_hale

It sounds like you and your co-worker are using different EG 7.x versions.  ActionOnError refers to a feature that was added in EG 7.13, so I suspect you are using EG 7.13 or later and your co-worker is using 7.12, 7.11, or 7.1.  It should be ok to ignore the error.  However, if you regularly share projects, it is a good idea to be running the same version of EG.  So, I suggest checking your EG versions (in Help->About) and upgrade whichever is behind, so you are both running the same version.

 

Casey

☑ This topic is solved.

Need further help from the community? Please ask a new question.

Discussion stats
  • 1 reply
  • 761 views
  • 0 likes
  • 2 in conversation